# Filters added to this controller will be run for all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

require 'datenbank'
require 'eigenschaft'
require 'liste'

class ApplicationController < ActionController::Base

  layout      "firstrails"
  
  include Treelist_Modul    # muss auf Klassenebene integriert werden          
  helper_method             :treelist_show, :listlist, :test_temp

  attr_reader   :lists, :error_select, :mark_id, :parent_id
  attr_accessor :search, :change_allowed
    
  # <b>initialize</b> initialisiert die Layout-Vorgaben
  
  def initialize
    @css          = "stylesheet_link_tag 'main'"
    @logo         = "image_tag(\"bussole-LogoUndWortmarke.gif\", :alt => \"bussole Logo\", :size => \"390x50\")"
    @title        = "Dateiinformationen"    
    view_tree
  end
  
  # <b>index</b> - Standardanzeige
#  
  def index
    #view_tree
  end

  # <b>test_temp</b> dient zur berprfung von Template-Werten

  def test_temp(*parm)
    xxx = parm[0]
  end

  # <b>test</b> dient nur zum Test, auch der Dokumentation: (#tree_listmodul.database), List, list

  def test
   view_tree
   
   @info = ['hinweis', 'main']
   flash[:notice] = __FILE__, '  <i>= aktuelle Source</i><br><br>', 
                      RAILS_ROOT, '   <i>= Rails-Konfiguration</i><br><br>',  
                      ABSOLUTE_RAILS_ROOT, '   <i>= absoluter Pfad</i><br><br>',
                      RAILS_ENV, '   <i>= Umgebung</i><br><br>', 
                      RAILS_CONNECTION_ADAPTERS, '   <i>= Datenbanktypen</i><br><br>', 
                      Dateis.active_connection_name, '   <i>= aktive Verbindungen</i><br><br>',
                      Dateis.connection.tables, '   <i>=  alle Dateien der angebundenen Datenbank</i><br><br>',
                      " " , Dateis.__id__, "  = Klassenvariable __id__"
      
    render :action => 'index'
  end   
  def test1
    render :inline => "<%= 'hello, ' * 3 + 'again' %>" 
  end  
  def test_1z
    @info = ['hinweis', 'main']
    flash[:notice] = "gerade mal eine einzige Zeile"
    render :action => 'index'
  end
  
  # <b>listlist</b> listet Listen auf
  
  def listlist(*list)
    liste   = Liste.new(list)
    @lists  = liste.liste
    liste.select
  end  

 ######################################################################################################   
   
   private   
 
       
end