class DateisController < ApplicationController
  
  auto_complete_for :dateis, :modul
         
  def index
    render :template => "application/index"
  end

  # <b>list</b> liest alle vorhandenen Datenstze ein
  # und bereitet sie fr die Treelist auf.

   def list
    view_tree("noDB")
    index
  end
 
  def edit
    @dateis = Dateis.find(params[:id])
  end
 
  def list_modul
    @dateis = Dateis.find_all_by_modul(params[:key])
  end
 
  def edit_called_by_tree
    @dateis = Dateis.find_by_name(params[:key])
    render :action => 'edit'
  end
  
  def update
    @dateis  = Dateis.find(params[:id])
    modul    = @dateis.modul
    if @dateis.update_attributes(params[:dateis])
      info                = ['hinweis', 'main']
      notice              = 'Der Datensatz wurde erfolgreich ge&auml;ndert.'
    else      
      info, notice, msg   = ['error', 'main'], "", []
      @dateis.errors.each {|attr, msg| notice << "#{msg}<br>"}  
      flash[:notice]      = notice
    end
    unless modul == @dateis.modul 
      view_tree("noDB", "", "clear")
    end
    @info           = info
    flash[:notice]  = notice  
    render :action  => 'edit'        
  end

  def classifier 
    @dateis = Dateis.find(params[:id])
    @dateis.check = {'classifier', params[:input]}
    flash[:notice] = @dateis.errors.on('classifier')  unless @dateis.valid?
    text = @dateis.errors.count > 0 ? "<div class=\"popup_error\"><%= flash[:notice] %></div>" : ""
    render :inline => text
  end
  
  ######################################################################################################    
  
  private
       
end     # class
