module EigenschaftsHelper
  
  def eigens(idnr)
    @@eigens[idnr.to_i]
  end

  def gruppeneigenschaft
    @@prv_hlp           = @eigens.id  if @eigens
    if @eigens.gruppeneigenschaft > 0
      Eigenschafts.find(@eigens.gruppeneigenschaft).name
    else
      ''
    end
  end
   
  def remember_dropdrag(idnr)
    @@dropdrag    = {}  unless defined?(@@dropdrag)
    @dropdrag     = 0   unless @dropdrag
    if idnr && @dropdrag.to_i > 0
      @@prv_hlp                   = idnr.to_i
      @@dropdrag[idnr.to_i]       = @dropdrag
    elsif defined?(@@prv_hlp) && @dropdrag.to_i > 0
      @@dropdrag[@@prv_hlp.to_i]  = @dropdrag
    end
  end
  
  def dropdrag(idnr)
    @@dropdrag[idnr.to_i] ? @@dropdrag[idnr.to_i] : 0
  end  

  ######################################################################################################    
  
  private 
    
end
